#ifndef IMPORTWIDGET_H
#define IMPORTWIDGET_H

#include <QWidget>
#include "datamanagerthread.h"
#include <QSqlQueryModel>

namespace Ui
{
    class importWidget;
}

class ImportWidget : public QWidget
{
    Q_OBJECT

public:
    explicit ImportWidget(QWidget* parent = nullptr);
    ~ImportWidget();
    void initData();

private slots:
    void on_pushButton_Stocks_clicked();

    void on_pushButton_LimitUp_clicked();

    void on_pushButton_LimitUp_query_clicked();

    void on_pushButton_Stocks_query_clicked();

private:
    void queryLimitUp();
    void queryStocks();
private:
    Ui::importWidget* ui;
    DataManagerThread dthread;
    QSqlDatabase db;
    QSqlQueryModel *importModel;
};

#endif // IMPORTWIDGET_H
